Ticket #22284

SyleCop日本語化モジュールの適用でVisualStudioでエラーが発生する

Open Date: 2010-06-23 23:16 Last Update: 2010-06-25 18:29

Reporter:
Owner:
Type:
Status:
Closed
Component:
(None)
MileStone:
(None)
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed
File:
None

Details

http://d.hatena.ne.jp/nakaji999/20100507/1273247285 にて小沢様よりコメント頂いたこともあり、

StyleCop日本語化モジュールを試してみたのですが、VisualStudioでソリューションを開いた際に下記エラーが発生します。

ファイルまたはアセンブリ 'Microsoft.StyleCop.VSPackage, Version=4.4.1.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35'、またはその依存関係の 1 つが読み込めませんでした。厳密な名前の検証に失敗しました。 (HRESULT からの例外: 0x8013141A)

環境はWindows7(64Bit版)、VisualStudio2010で、使用したモジュールは stylecop-f1a1f7cd9f80-ja1-1.zip です。

エラー画面のSS等の状況は下記URLにまとめています。

http://d.hatena.ne.jp/nakaji999/20100623/1277300832

Ticket History (3/3 Histories)

2010-06-23 23:16 Updated by: nakaji999
  • New Ticket "SyleCop日本語化モジュールの適用でVisualStudioでエラーが発生する" created
2010-06-24 17:32 Updated by: hozawa
Comment

対策として2つ考えられます: 1.インストール問題の対策版(stylecop_f1a1f7cd9f80-ja-1.2)をアップロードしました。 マイクロソフトのアセンブリのアイデンティティ問題のようです。オープンソースとは言え、実際にはマイクロソフトではなければ一般配布できるmsiが作成できないようです。お手数を掛けますが、ソースファイルを解凍して、管理者権限でProjectフォルダ下の環境設定コマンド(Environment.cmd)を実行してください。

2.セキュリティリスクがありますが、sn.exe -Vr VSPackage.dllでサインチェックを外すこともできます。

2010-06-25 18:29 Updated by: hozawa
  • Ticket Close date is changed to 2010-06-25 18:29
  • Status Update from Open to Closed
  • Resolution Update from None to Fixed

Attachment File List

No attachments

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login